<?php
/**
 * ArticleDat Entity
 * $Id: ArticleDat.inc,v 1.1 2020/1/15 11:01:52 Exp $
 * @author lixq
 * @package jp.compass.entity
 * @access public
 */
class ArticleDat extends CompassDynamicData
{
	var $category_id;
	var $title;
	var $front_image;
	var $mp3;
	var $video_url;
	var $comment;
	var $display_order;
	var $delete_flg;

	/**
	 * 构造实现。article_dat创建实例。
	 * 
	 * @access public
	 * @param mixed article_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->category_id   = $record["category_id"];
		$this->title         = $record["title"];
		$this->front_image   = $record["front_image"];
		$this->mp3           = $record["mp3"];
		$this->video_url     = $record["video_url"];
		$this->comment       = $record["comment"];
		$this->display_order = $record["display_order"];
		$this->delete_flg    = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("ArticleDat", "article_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("article_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("ArticleDat", "article_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "category_id");
		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "front_image");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "mp3");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "video_url");
		ParamUtil::copyObj2Array($v_param, $this, "comment");
		ParamUtil::copyObj2Array($v_param, $this, "display_order");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("article_dat", $v_param);
	}
}